package com.ss.android.ugc.aweme.discover.model;

import X.M12;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import java.io.Serializable;

public final class LongVideoTag implements Serializable {
    @c(LIZ = "tag_bg_img")
    public String tagBgImg = "";
    @c(LIZ = "tag_word")
    public String tagWord = "";
    @c(LIZ = "tag_word_color")
    public String tagWordColor = "";

    static {
        Covode.recordClassIndex(65165);
    }

    public final String getTagBgImg() {
        return this.tagBgImg;
    }

    public final String getTagWord() {
        return this.tagWord;
    }

    public final String getTagWordColor() {
        return this.tagWordColor;
    }

    public final void setTagBgImg(String str) {
        M12.LIZ(str);
        this.tagBgImg = str;
    }

    public final void setTagWord(String str) {
        M12.LIZ(str);
        this.tagWord = str;
    }

    public final void setTagWordColor(String str) {
        M12.LIZ(str);
        this.tagWordColor = str;
    }
}
